:root {
  --primary: #fff;
  --accent: #8a1b2d;
  --accent2: #7F3900;
  --neutral: #3D3F4D;
}

.arsenal-regular {
  font-family: "Arsenal SC", sans-serif;
  font-weight: 400;
  font-style: normal;
}

.arsenal-bold {
  font-family: "Arsenal SC", sans-serif;
  font-weight: 700;
  font-style: normal;
}

.arsenal-regular-italic {
  font-family: "Arsenal SC", sans-serif;
  font-weight: 400;
  font-style: italic;
}

.arsenal-bold-italic {
  font-family: "Arsenal SC", sans-serif;
  font-weight: 700;
  font-style: italic;
}

.lustria-regular {
  font-family: "Lustria", serif;
  font-weight: 400;
  font-style: normal;
}

html {
  background-color: #000;
}

body {
  background-color: #4a2027;
  min-height: 100vh;
  margin: 0;
  position: relative;
  color: white;
  font-family: "Lustria", serif;
  z-index: 0;
}

  body::before {
  content: "";
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-image: url("./images/red-bookcover.jpg");
  background-size: cover;
  background-position: center;
  filter: blur(6px);
  opacity: 0.4; 
  pointer-events: none;
  z-index: -1;
} 

a:link {
  color: #ffffff;
  text-decoration: none;
}

a:visited {
  color: white;
}

a:hover {
  color: #000000;
  text-decoration: underline;
}

a:active {
  color: orange;
}

.page-wrapper {
  display: flex;
  flex-direction: column;
  transition: opacity 0.8s ease;
  gap: 10px;
}

.page-wrapper.fade-out {
  opacity: 0;
}

.splash {
  align-items: center;
  height: 100vh;
  justify-content: center;
}

.rose {
  max-width: 300px;
  animation: spin 120s linear infinite;
  border-radius: 50%;
}

.rose2 {
  max-width: 150px;
  margin-top: 20px;
}

.rose:hover {
  animation: spin 0.5s linear infinite;
}

@keyframes spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

.heading-wrapper {
  font-family: "ARSENAL SC", Georgia, "Times New Roman", Times, serif;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  padding: 10px;
  gap: 25px;
}

.heading-title {
  font-size: 2rem;
  font-weight: bold;
}

.heading-title img {
  max-height: 120px;
}

.navbar {
  display: flex;
  gap: 15px;
  margin-right: 15px;
}

.fade {
  opacity: 0;
  transform: translateY(20px);
  transition:
    opacity 0.6s ease,
    transform 0.6s ease;
}

.fade.visible {
  opacity: 1;
  transform: translateY(0);
}

footer {
  position: absolute;
  width: 100%;
  display: flex;
  justify-content: space-between;
  background-color: #000;
  align-items: center;
  bottom: 0;
}

.fsplash {
  position: fixed;
  bottom: 0;
  width: 100%;
  padding: 0;
}

.hero {
  display: flex;
  flex-direction: column;
  background: url("images/glyphs.png");
  background-clip: padding-box;
  background-attachment: fixed;
  background-size: cover;
  background-position: 0% 93%;
  align-items: center;
  justify-content: center;
  padding: 60px 20px;
  min-height: 300px;
}

.subhero {
  display: flex;
  flex-direction: row;
  gap: 20px;
  justify-content: center;
  align-items: center;
}

.normal-text {
  font-family: "Lustria", Arial, Helvetica, sans-serif;
  max-width: 70%;
  font-size: 1.5rem;
}

#hero1 {
  min-height: 220px;
}

#hero2 {
  background: url("images/flowercrown.jpg") center/cover no-repeat;
  background-position: 0% 30%;
  min-height: 650px;
}

#hero3 {
  display: flex;
  flex-direction: column;
  background: url("images/treehands.avif") center/cover no-repeat;
  background-position: 0% 60%;
  min-height: 650px;
  gap: 30px;
}

#hero4 {
  display: flex;
  flex-direction: column;
  background: url("./images/women_sitting.jpg") center/cover no-repeat;
  background-position: 0% 10%;
  min-height: 500px;
  gap: 30px;
}

#hero5 {
  background: url('./images/stones.jpg') center/cover no-repeat;
  background-position: 60% 70%;
  min-height: 500px;
}

#hero5 .floating-text {
  left: -20%;
  top: 0;
  max-width: 50%;
}

#hero6 {
  background: url('./images/bonfire.jpg') center/cover no-repeat;
  background-position: 60% 70%;
  min-height: 500px;
  justify-content: flex-start;
}

#hero6 .floating-text {
  left: 20%;
  top: 0;
  max-width: 50%;
}

#hero7 {
  background: url('./images/crystalball.jpg') center/cover no-repeat;
  background-position: 80% 95%;
  min-height: 500px;
  padding-bottom: 40px;
  justify-content: flex-end;
}

#hero7 .floating-text {
  top: 0;
}

#hero8 {
  background: url('./images/rosecandle.jpg');
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
}

#hero8::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.7);
  z-index: 0;
}

#hero8 .floating-text {
  top: 0;
}

#hero9 {
  background: url('./images/stonehenge.jpg');
  background-position: -20% 80%;
  background-repeat: no-repeat;
  background-size: cover;
  min-height: 500px;
}

.button {
  background-color: #b1551ddd;
  padding: 20px;
  width: 45%;
  border-radius: 50px;
  font-size: 4rem;
  border: solid #ffffffaa;
  box-shadow: -8px -8px #4a202777;
  text-align: center;
}

.sub-button {
  background-color: #3d3f4ddd;
  padding: 20px;
  width: 25%;
  border-radius: 50px;
  font-size: 2rem;
  border: solid #ffffffaa;
  box-shadow: -8px -8px #4a202777;
  text-align: center;
}

.floating-text {
  font-size: 1.5rem;
  color: #000;
  background-color: #ffffffcc;
  padding: 20px;
  width: 80%;
  border-radius: 50px;
  border: solid #ffffff;
  position: relative;
  top: 100px;
  box-shadow: -8px -8px #4a202777;
}

.subtext {
  font-size: 1rem;
}

.floatdonate {
  display: flex;
  flex-direction: column;
  position: fixed;
  bottom: 2%;
  left: 2%;
  background-color: #fff;
  padding: 20px;
  border-radius: 50px;
  width: 250px;
  text-align: center;
  border: solid #b1551ddd;
  font-size: 2rem;
  color: #b1551ddd;
}

#hero2-text {
  width: 30%;
  align-self: flex-end;
  margin-right: 25px;
  margin-top: -10%;
}

#starfire {
  max-height: 30px;
}

.login-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-items: center;
  gap: 20px;
}

.login-container form {
  display: flex;
  flex-direction: column;
  max-width: 480px;
  width: 100%;
  background-color: #ffffff88;
  border: solid #ffffffaa;
  border-radius: 12px;
  align-items: center;
  gap: 5px;
}

.login-container label {
  text-align: justify;
}

#board-text {
  text-align: center;
  font-size: 2rem;
  color: #4a2027;
}

.boardcontainer {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  padding: 30px;
  gap: 25px;
  justify-content: center;
  max-width: 85%;
}

.frame {
  position: relative;
  background-color: #ffffff88;
  min-width: 250px;
  min-height: 250px;
  text-align: center;
  border: ridge 2px white;
  box-shadow: -8px -8px #4a202777;
  overflow: hidden;
}

.caption {
  position: absolute;
  bottom: 45px;
  left: 0;
  width: 100%;
  background: rgba(0, 0, 0, 1);
  padding: 15px;
  box-sizing: border-box;
  transform: translateY(100%);
  transition: transform 0.3s ease-in-out;
}

.lg-cap {
  font-size: 1.5rem;
}

.sm-cap {
  font-size: 0.7rem;
  text-align: left;
  margin-top: 15px;
}

.frame:hover .caption,
.frame:focus-within .caption {
    transform: translateY(0);
    bottom: 0;
}

#secretary {
  background-image: url('./images/board//Benny.jpg');
  background-size: cover;
  background-repeat: no-repeat;
  max-width: 250px;
}

#burnCanvas {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  z-index: 9999;
  display: none;
  pointer-events: none;
}

#burnBg {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: url('./images/grail.png') center/cover no-repeat;
  z-index: 999;
  pointer-events: none;
  opacity: 0;
}

body.burn-active #burnBg {
  opacity: 1;
}

body.burn-active::before {
  visibility: hidden;
  opacity: 0;
}

.registration-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 20px;
}

.registration-container form {
  background: #ffffffbb;
  padding: 15px;
  border-radius: 12px;
  max-width: 420px;
  width: 100%;
  display: flex;
  flex-direction: column;
  color: #000;
}

.registration-container label {
  display: block;
  margin-top: 15px;
  font-weight: bold;
}

.registration-container input {
  padding: 10px;
  margin-top: 6px;
  border-radius: 6px;
  border: none;
}

.registration-container h1 {
  justify-content: center;
}

.registerbtn {
  padding: 12px;
  background-color: var(--accent);
  font-weight: bold;
  border-radius: 6px;
  border: none;
  cursor: pointer;
  color: white;
}

#signinbtn {
    margin-top: 20px;
    margin-bottom: 20px;
}

form {
    margin-bottom: 20px;
}

/* MOBILE */
@media (max-width: 926px) {

  .navbar {
    display: none;
  }

  .mobile-nav {
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: relative;
  }

  #hamburgerSymbol {
    font-size: 2rem;
  }

  .hamburger-menu {
    position: absolute;
    top: 100%;
    right: 0;
    width: 200px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    background-color: #ffffffdd;
    text-align: center;
    z-index: 1000;
  }

  .hamburger-menu.hidden {
    display: none;
  }

  .mobmnitm {
    padding: 15px;
    color: black;
  }

  .mobmnitm a {
    color: #000;
  }

  .heading-title img {
    max-height: 60px;
  }

  .heading-wrapper {
    padding: 5px 10px;
  }

  .floating-text {
    font-size: 1rem;
    width: 90%;
    border-radius: 20px;
    top: 40px;
  }

  .button {
    font-size: 2rem;
    width: 70%;
  }

  .sub-button {
    font-size: 1.2rem;
    width: 50%;
  }

  .normal-text {
    max-width: 90%;
    font-size: 1.1rem;
  }

  .floatdonate {
    width: 150px;
    font-size: 1.2rem;
    padding: 12px;
  }

  .rose2 {
    max-width: 100px;
  }

  .login-container form {
    max-width: 90%;
  }

  .registration-container form {
    max-width: 90%;
    margin-bottom: 150%;
  }

  footer {
    flex-direction: column;
  }

    #hero1 {
    min-height: 120px;
  }

  #hero2 {
    min-height: 300px;
    background-position: center 30%;
  }

  #hero2-text, #hero4-text, #hero7-text {
    width: 90%;
    margin-top: 100%;
    align-self: center;
    margin-right: 0;
  }

  #hero4 {
    min-height: 250px;
    background-position: center 10%;
  }

  #hero8 {
    min-height: 250px;
    background-position: center 10%;
  }

  #hero9 {
    min-height: 550px;
    background-position: center 10%;

  }

  #hero9-text {
    top: 0;
    margin-top: -100%;
  }


}

/* DESKTOP */
@media (min-width: 927px) {
  .navbar {
    font-size: 1.25rem;
    align-items: center;
  }

  .mobile-nav {
    display: none;
  }

  footer {
    flex-direction: row;
  }
}